diff --git a/lib/utils/color.h.orig b/lib/utils/color.h
index 2c7081f..37d83b5 100644
--- a/lib/utils/color.h.orig
+++ b/lib/utils/color.h
@@ -23,6 +23,8 @@
 #ifndef QTC_UTILS_COLOR_H
 #define QTC_UTILS_COLOR_H
 
+#include <math.h>
+
 #include "utils.h"
 #include "options.h"
 
@@ -250,7 +252,7 @@ qtcColorTint(const QColor *base, const QColor *col, double amount)
         return *base;
     } else if (amount >= 1.0) {
         return *col;
-    } else if (isnan(amount)) {
+    } else if (std::isnan(amount)) {
         return *base;
     }
     const QtcColor qtc_base = {base->redF(), base->greenF(), base->blueF()};
@@ -267,7 +269,7 @@ qtcColorMix(const QColor *c1, const QColor *c2, double bias)
         return *c1;
     } else if (bias >= 1.0) {
         return *c2;
-    } else if (isnan(bias)) {
+    } else if (std::isnan(bias)) {
         return *c1;
     }
     const QtcColor qtc_c1 = {c1->redF(), c1->greenF(), c1->blueF()};
